Returns the Merchant Info to be used with Venmo SDK
GET/entities/{entity-id}/venmo/merchant-info
Returns the Merchant Info to be used with Venmo SDK
Request
Path Parameters
entityId provided by Nuvei.
Responses
- 200
- 400
- 401
- 403
- 404
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
merchantInfo
object
Possible values: [authorize, capture]
result
object
required
Status of the request: success | error
Possible values: [success, error]
errors
object
If an error occurred on the request side, an error code is returned in this parameter.
If an error occurred on the request side, an error code is returned in this parameter.
Possible values: <= 11 characters
7000.1000If an error occurred on the request side, then an error reason is returned in this parameter.
Possible values: <= 400 characters
Internal Processing ErrorReference value for troubleshooting
Possible values: <= 400 characters
110.1260{
"merchantInfo": {
"merchantId": "string",
"clientId": "string",
"intent": "authorize"
},
"result": {
"status": "success",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1260"
}
}
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
result
object
required
Status of the request: success | error
Possible values: [success, error]
errors
object
If an error occurred on the request side, an error code is returned in this parameter.
If an error occurred on the request side, an error code is returned in this parameter.
Possible values: <= 11 characters
7000.1000If an error occurred on the request side, then an error reason is returned in this parameter.
Possible values: <= 400 characters
Internal Processing ErrorReference value for troubleshooting
Possible values: <= 400 characters
110.1260{
"result": {
"status": "success",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1260"
}
}
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
result
object
required
Status of the request: success | error
Possible values: [success, error]
errors
object
If an error occurred on the request side, an error code is returned in this parameter.
If an error occurred on the request side, an error code is returned in this parameter.
Possible values: <= 11 characters
7000.1000If an error occurred on the request side, then an error reason is returned in this parameter.
Possible values: <= 400 characters
Internal Processing ErrorReference value for troubleshooting
Possible values: <= 400 characters
110.1260{
"result": {
"status": "success",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1260"
}
}
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
result
object
required
Status of the request: success | error
Possible values: [success, error]
errors
object
If an error occurred on the request side, an error code is returned in this parameter.
If an error occurred on the request side, an error code is returned in this parameter.
Possible values: <= 11 characters
7000.1000If an error occurred on the request side, then an error reason is returned in this parameter.
Possible values: <= 400 characters
Internal Processing ErrorReference value for troubleshooting
Possible values: <= 400 characters
110.1260{
"result": {
"status": "success",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1260"
}
}
}
Not found
- application/json
- Schema
- Example (from schema)
Schema
result
object
required
Status of the request: success | error
Possible values: [success, error]
errors
object
If an error occurred on the request side, an error code is returned in this parameter.
If an error occurred on the request side, an error code is returned in this parameter.
Possible values: <= 11 characters
7000.1000If an error occurred on the request side, then an error reason is returned in this parameter.
Possible values: <= 400 characters
Internal Processing ErrorReference value for troubleshooting
Possible values: <= 400 characters
110.1260{
"result": {
"status": "success",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1260"
}
}
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
result
object
required
Status of the request: success | error
Possible values: [success, error]
errors
object
If an error occurred on the request side, an error code is returned in this parameter.
If an error occurred on the request side, an error code is returned in this parameter.
Possible values: <= 11 characters
7000.1000If an error occurred on the request side, then an error reason is returned in this parameter.
Possible values: <= 400 characters
Internal Processing ErrorReference value for troubleshooting
Possible values: <= 400 characters
110.1260{
"result": {
"status": "success",
"errors": {
"code": "7000.1000",
"reason": "Internal Processing Error",
"reference": "110.1260"
}
}
}